" Vim syntax file
" Language:	netclient
" Maintainer:  	sloum <sloum@rawtext.club>,
" Last Change:	Thu Jul 06 2023

" For version 5.x: Clear all syntax items
" For version 6.x: Quit when a syntax file was already loaded
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

let b:current_syntax = "netclient"

syn match ncLinkNum "\[\d\+\]"
syn match ncURL "\S\+:\/\/\S\+\(\t\S\+\)\?" contains=ncLinkNum

hi link ncLinkNum Identifier
hi link ncURL Statement
